<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />

        <!-- Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-59465420-24"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
            gtag('config', 'UA-59465420-24');
        </script>
        <!-- End Google Analytics -->

        <!-- Facebook Pixel Code -->
        <!-- <script>
            setTimeout(function(){
                !function(f,b,e,v,n,t,s) {
                    if(f.fbq)return;n=f.fbq=function(){n.callMethod?
                    n.callMethod.apply(n,arguments):n.queue.push(arguments)};
                    if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
                    n.queue=[];t=b.createElement(e);t.async=!0;
                    t.src=v;s=b.getElementsByTagName(e)[0];
                    s.parentNode.insertBefore(t,s)
                }(window, document,'script','https://connect.facebook.net/en_US/fbevents.js');
                fbq('init', '936188850066715');
                fbq('track', 'PageView');
            }, 3000);
        </script>

        <noscript>
            <img
                height="1"
                width="1"
                style="display:none" 
                src="https://www.facebook.com/tr?id=936188850066715&ev=PageView&noscript=1"
            />
        </noscript> -->
        <!-- End Facebook Pixel Code -->
        
        <script>
            if ('serviceWorker' in navigator) {
                window.addEventListener('load', () => {
                    navigator.serviceWorker.register('/sw.js');
                });
            }

            window.contentConfiguration = {};
        </script>
        <script src="<%= htmlWebpackPlugin.options.publicPath %>assets/pwacompat.min.js" async></script>

        <!-- TODO: Find or implement helper to generate fonts related code -->
        <!-- <link rel="preload" href="<%= htmlWebpackPlugin.options.publicPath %>assets/font/RiftonNorm.ttf" as="font" type="font/ttf" crossorigin="">
        <link rel="preload" href="<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSansMedium.ttf" as="font" type="font/ttf" crossorigin="">
        <link rel="preload" href="<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSansRegular.ttf" as="font" type="font/ttf" crossorigin="">
        <link rel="preload" href="<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSansSemiBold.ttf" as="font" type="font/ttf" crossorigin="">
        <link rel="preload" href="<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSansExtraBold.ttf" as="font" type="font/ttf" crossorigin=""> -->
        <!-- When you add a store to the store list, remember to add it here (for pathname store switch support) -->
        <script>
            window.storeList = ['default'];
            window.storeRegexText = `/(${window.storeList.join('|')})?`;
        </script>
        <style>
            @font-face {
                font-family: 'Work Sans';
                font-style: normal;
                font-weight: normal;
                src: local('Work Sans Regular'), local('WorkSans-Regular'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-Regular.woff2) format('woff2'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-Regular.woff) format('woff');
                font-display: fallback;
            }

            @font-face {
                font-family: 'Work Sans';
                font-style: normal;
                font-weight: 500;
                src: local('Work Sans Medium'), local('WorkSans-Medium'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-Medium.woff2) format('woff2'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-Medium.woff) format('woff');
                font-display: fallback;
            }

            @font-face {
                font-family: 'Work Sans';
                font-style: normal;
                font-weight: 600;
                src: local('Work Sans SemiBold'), local('WorkSans-SemiBold'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-SemiBold.woff2) format('woff2'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-SemiBold.woff) format('woff');
                font-display: fallback;
            }

            @font-face {
                font-family: 'Work Sans';
                font-style: normal;
                font-weight: bold;
                src: local('Work Sans ExtraBold'), local('WorkSans-ExtraBold'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-ExtraBold.woff2) format('woff2'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/WorkSans-ExtraBold.woff) format('woff');
                font-display: fallback;
            }

            @font-face {
                font-family: 'Rifton';
                font-style: normal;
                font-weight: normal;
                src: local('Rifton'), local('Rifton'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/Rifton-Norm.woff2) format('woff2'),
                    url(<%= htmlWebpackPlugin.options.publicPath %>assets/font/Rifton-Norm.woff) format('woff');
                font-display: fallback;
            }
        </style>

        <link rel="stylesheet" href="<%= htmlWebpackPlugin.files.css[0] %>" />

        <link rel="shortcut icon" href="<%= htmlWebpackPlugin.options.publicPath %>assets/favicon/favicon.ico" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, viewport-fit=cover" />

        <style>
            .placeholders {
                display: flex;
                width: 100%;
                height: 100vh;
                position: relative;
                flex-direction: column;
            }

            .placeholder {
                width: 100%;
                background-image: linear-gradient(to right, #ebebeb 0, #d9d9d9 15%, #ebebeb 30%);
            }

            .placeholder::after {
                opacity: 0;
                color: transparent;
                background-image: linear-gradient(to right, #ebebeb 0, #d9d9d9 15%, #ebebeb 30%);
                background-size: 1200px 100%;
                font-family: 'Courier New', Courier, monospace;
            }

            .placeholder--top {
                height: 58px;
                margin-bottom: 53px;
            }

            .placeholder--mid {
                height: 400px;
            }

            .placeholder--bot {
                height: 58px;
                position: absolute;
                bottom: 0;
                left: 0;
            }

            @media (min-width: 768px) {
                .placeholder--top {
                    height: 118px;
                    margin-bottom: 70px;
                }

                .placeholder--mid {
                    max-width: 1420px;
                    margin-right: auto;
                    margin-left: auto;
                }

                .placeholder--bot {
                    height: 400px;
                    max-width: 1420px;
                    margin-top: 15px;
                    margin-right: auto;
                    margin-left: auto;
                    position: static;
                }
            }

            @media (min-width: 1025px) {
                .placeholder--top {
                    height: 182px;
                    margin-bottom: 15px;
                }
            }
        </style>
    </head>

    <body>
        <div id="root">
            <div class="placeholders">
                <span class="placeholder placeholder--top"></span>
                <span class="placeholder placeholder--mid"></span>
                <span class="placeholder placeholder--bot"></span>
            </div>
        </div>
        <!-- <script>
            var file_pl = document.createElement('script');
            file_pl.setAttribute('src', '/pl_PL.bundle.js');
            var file_en = document.createElement('script');
            file_en.setAttribute('src', '/en_US.bundle.js');
            if (window.location.hostname.includes('pl.')) {
                document.getElementsByTagName('body')[0].appendChild(file_pl);
            } else {
                document.getElementsByTagName('body')[0].appendChild(file_en);
            }
        </script> -->
        <script src="<%= htmlWebpackPlugin.files.js[0] %>"></script>
    </body>
</html>
